Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 985060 - Redirect is not always created when saving changes
Summary: Redirect is not always created when saving changes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER04
: 6.1.0
Assignee: Default User
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-16 17:09 UTC by Filip Kiss
Modified: 2013-11-07 14:23 UTC (History)
4 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-07 14:23:52 UTC
Type: Bug


Attachments (Terms of Use)
notification after saving changes (deleted)
2013-07-16 17:10 UTC, Filip Kiss
no flags Details
notification after saving changes (deleted)
2013-07-16 17:10 UTC, Filip Kiss
no flags Details
notification after saving changes (deleted)
2013-07-16 17:11 UTC, Filip Kiss
no flags Details
notification after deleting redirect (deleted)
2013-07-16 17:12 UTC, Filip Kiss
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker GTNPORTAL-3190 Blocker Resolved Redirect Admin UI: Redirect changes not saved if focus is on Redirect Name input 2016-07-04 14:13:42 UTC
Red Hat One Jira Issue Tracker GTNPORTAL-3239 Major Resolved GateIn Redirect Admin UI: Alert shows <undefined><undefined> if shown when previous is fading 2016-07-04 14:13:42 UTC

Description Filip Kiss 2013-07-16 17:09:15 UTC
Description of problem:
- when clicking Add Redirect button to create Redirect, new redirect is not always created after Saving changes and there are sometimes wrong notification colors and titles (sometimes there is only notification that I created redirect, but no redirect is displayed) There are also wrong notifications when deleting redirects.

Sometimes notification "Well Done! The changes have been successfully saved." is displayed with red color or sometimes there is "undefined" notification after creating and deleting redirect with wrong color.

How reproducible:
- not always, sometimes redirect is created successfully with correct notification title and color.

Steps to Reproduce:
1. open portal, sign in
2. go to site redirects
3. click classic/mobile and click Add Redirect
4. click save changes (for simplification I created only blank redirects with name only to see strange behavior)
5. redirect is not saved always

Comment 1 Filip Kiss 2013-07-16 17:10:17 UTC
Created attachment 774423 [details]
notification after saving changes

Comment 2 Filip Kiss 2013-07-16 17:10:49 UTC
Created attachment 774424 [details]
notification after saving changes

Comment 4 Filip Kiss 2013-07-16 17:11:20 UTC
Created attachment 774425 [details]
notification after saving changes

Comment 5 Filip Kiss 2013-07-16 17:12:33 UTC
Created attachment 774426 [details]
notification after deleting redirect

Comment 6 Filip Kiss 2013-07-17 09:54:10 UTC
There is also problem when trying to rename redirect - after saving changes it is often not renamed.

Comment 7 Filip Kiss 2013-08-13 07:07:52 UTC
In ER04, redirect is created successfully after saving changes. The problem with notifications persisted. When deleting (after confirmation) or editing redirect (after saving changes) there is "undefined" notification with wrong color.

Comment 8 Filip Kiss 2013-10-02 13:21:54 UTC
Verified in CR03.


Note You need to log in before you can comment on or make changes to this bug.